Bug 7893 - Missing build-dependency on libdatetime-format-dateparse-perl and libreadonly-perl
Summary: Missing build-dependency on libdatetime-format-dateparse-perl and libreadonly...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.6
Hardware: All All
: P1 - high critical (vote)
Assignee: MJ Ray (software.coop)
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-03 17:33 UTC by MJ Ray (software.coop)
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
add libdatetime-format-dateparse-perl to debian/control (930 bytes, patch)
2012-04-03 17:33 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
Bug 7893 : debian/control: add libreadonly-perl and libdatetime-format-dateparse-perl to Build-Depends (994 bytes, patch)
2012-04-03 18:16 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7893 - add package dependencies (1.07 KB, patch)
2012-04-04 11:12 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 7893 - add package dependencies (1.17 KB, patch)
2012-04-06 17:09 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description MJ Ray (software.coop) 2012-04-03 17:33:46 UTC Comment hidden (obsolete)
Comment 1 Chris Cormack 2012-04-03 18:16:16 UTC Comment hidden (obsolete)
Comment 2 Ian Walls 2012-04-04 10:25:51 UTC
Both of those packages are needed, and are now added in alphabetical order.  Are any other dependencies missing?

Passed QA
Comment 3 Robin Sheat 2012-04-04 11:08:43 UTC
I'm going to fail this, only because there are some other deps that this is missing that I'll make a patch and add in.
Comment 4 Robin Sheat 2012-04-04 11:12:11 UTC Comment hidden (obsolete)
Comment 5 Jared Camins-Esakov 2012-04-06 17:09:49 UTC
Created attachment 8975 [details] [review]
Bug 7893 - add package dependencies

This adds some dependencies to the control file that are required.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 6 Ian Walls 2012-04-06 22:14:11 UTC
Yes, this is a more complete set of additional requirements for Koha.  Marking as Passed QA.  Thanks for catching this.
Comment 7 Jared Camins-Esakov 2012-05-09 16:52:04 UTC
This bug will be included in the Koha 3.6.5 release.